// Copyright © Selmo Technology GmbH. All Rights Reserved

using SelmoStudio.Hmi.Server.SelmoHmi.Charts.Model;

namespace SelmoStudio.Hmi.Server.TestSetup
{
    public class TestChartDataProvider
    {
        internal static IList<IChartItem> GenerateComplexChartBasedTestData()
        {
            return new List<IChartItem>
            {
            new ChartItem
            {
                Title = "2023",
                Values = new List<IChartItemValue>
                {
                    new ChartItemValue() { Category = "Q1", Value = 234000 },
                    new ChartItemValue() { Category = "Q2", Value = 284000 },
                    new ChartItemValue() { Category = "Q3", Value = 274000 },
                    new ChartItemValue() { Category = "Q4", Value = 294000 }
                }
            },
            new ChartItem
            {
                Title = "2024",
                Values = new List<IChartItemValue>
                {
                    new ChartItemValue() { Category = "Q1", Value = 254000 },
                    new ChartItemValue() { Category = "Q2", Value = 324000 },
                    new ChartItemValue() { Category = "Q3", Value = 354000 },
                    new ChartItemValue() { Category = "Q4", Value = 394000 }
                }
            }};
        }

        internal static IChartItem GeneratePieChartTestData()
        {
            return new ChartItem
            {
                Title = "Revenue",
                Values = new List<IChartItemValue>
            {
                new ChartItemValue() { Category = "Q1", Value = 30000 },
                new ChartItemValue() { Category = "Q2", Value = 40000 },
                new ChartItemValue() { Category = "Q3", Value = 60000 },
                new ChartItemValue() { Category = "Q4", Value = 80000 }
            }
            };
        }
    }
}